# Copyright (C) 2018  Dave love, University of Manchester
# Licence as for the package source

%global commit a6862d10c9db467148f20eef2c6445ac9afd94d8
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:		gf-complete
Version:	2.0
Release:	1.git%shortcommit%{?dist}
Summary:	A comprehensive library for Galois field arithmetic
License:	BSD
URL:		http://jerasure.org
Source0:	http://lab.jerasure.org/jerasure/gf-complete/repository/archive.tar.bz2?ref=%commit#/gf-complete-%shortcommit.tar.bz2
BuildRequires:	gcc automake autoconf%{?el6:268} libtool

%description
This is a comprehensive library for Galois field arithmetic intended
to implement every Galois Field multiplication technique applicable to
erasure coding for storage.  Its primary goal is to allow storage
system researchers and implementors to utilize very fast Galois Field
arithmetic for Reed-Solomon coding and the like in their storage
installations.  Its secondary goal is to allow those who want to
explore different ways to perform Galois Field arithmetic to be able
to do so effectively.


%package devel
Summary: Development files for %name
Requires: %name = %version-%release

%description devel
Development files for %name.


%prep
%setup -q -n %name.git
./autogen.sh

%build
%configure --disable-static
%make_build


%install
%make_install


%ldconfig_scriptlets


%files
%license License.txt
%exclude %_libdir/*.la
%exclude %_bindir/gf_example*
%_libdir/*.so.1*
%_bindir/*

%files devel
%doc manual/*
%_includedir/*
%_libdir/*.so


%changelog
* Wed Jul 25 2018  <loveshack@fedoraproject.org> - 2.0-1
- Initial packaging
